学生老师匹配-用户端 API
由
scripts/generate-api-docs.ts自动生成 —— 请勿手改 共 10 个端点
POST /matching/cancel
无描述
响应
| 状态码 | 说明 |
|---|---|
| 201 |
GET /matching/stats/{topic}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
topic | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| default |
POST /matching/students/cancel
无描述
请求体
json
{
"$ref": "#/components/schemas/CancelMatchingDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
POST /matching/students/cancelPair
无描述
请求体
json
{
"$ref": "#/components/schemas/CancelMatchingDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
POST /matching/students/complete/{sessionId}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
sessionId | path | string | ✅ |
请求体
json
{
"$ref": "#/components/schemas/TeacherScoreDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
POST /matching/students/joinPair
无描述
请求体
json
{
"$ref": "#/components/schemas/StartMatchingDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
POST /matching/students/start
无描述
请求体
json
{
"$ref": "#/components/schemas/StartMatchingDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
POST /matching/teachers/cancel
无描述
请求体
json
{
"$ref": "#/components/schemas/CancelMatchingDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
POST /matching/teachers/complete/{sessionId}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
sessionId | path | string | ✅ |
请求体
json
{
"$ref": "#/components/schemas/CompleteSessionDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
POST /matching/teachers/join
无描述
请求体
json
{
"$ref": "#/components/schemas/JoinMatchingDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |